osgDB::UpdateWrapperVersionProxy Struct Reference

`#include <ObjectWrapper>`

## Public Member Functions

| UpdateWrapperVersionProxy (ObjectWrapper *w, int v)
| ~UpdateWrapperVersionProxy ()

## Public Attributes

ObjectWrapper * | _wrapper
int | _lastVersion

## Constructor & Destructor Documentation

## UpdateWrapperVersionProxy()

osgDB::UpdateWrapperVersionProxy::UpdateWrapperVersionProxy | ( | ObjectWrapper * | w,
|  | int | v )

inline

References _lastVersion, _wrapper, osgDB::ObjectWrapper::getUpdatedVersion(), and osgDB::ObjectWrapper::setUpdatedVersion().

## ~UpdateWrapperVersionProxy()

osgDB::UpdateWrapperVersionProxy::~UpdateWrapperVersionProxy | ( |  | ) |

inline

References _lastVersion, and _wrapper.

## Member Data Documentation

## _lastVersion

int osgDB::UpdateWrapperVersionProxy::_lastVersion

Referenced by UpdateWrapperVersionProxy(), and ~UpdateWrapperVersionProxy().

## _wrapper

ObjectWrapper* osgDB::UpdateWrapperVersionProxy::_wrapper

Referenced by UpdateWrapperVersionProxy(), and ~UpdateWrapperVersionProxy().

The documentation for this struct was generated from the following file:

- ObjectWrapper